---
description: How-to topics for plugin development
title: Create a plugin
---

# Create a Grafana plugin

This section contains how-to topics for developing Grafana plugins.

- [Build a Grafana plugin](https://grafana.github.io/plugin-tools/docs/creating-a-plugin)
  - [Build a panel plugin](https://grafana.com/tutorials/build-a-panel-plugin/)
  - [Build a data source plugin](https://grafana.com/tutorials/build-a-data-source-plugin/)
  - [Build a data source backend plugin](https://grafana.com/tutorials/build-a-data-source-backend-plugin/)
  - [Build a logs data source plugin]({{< relref "../build-a-logs-data-source-plugin.md">}})
  - [Build a streaming data source plugin]({{< relref "../build-a-streaming-data-source-plugin.md">}})
- Extend a Grafana plugin
  - [Add annotations]({{< relref "add-support-for-annotations.md">}})
  - [Add anonymous usage reporting]({{< relref "add-anonymous-usage-reporting.md">}})
  - [Add authentication for a data source plugin]({{< relref "add-authentication-for-data-source-plugins.md">}})
  - [Add Explore queries]({{< relref "add-support-for-explore-queries.md">}})
  - [Add query editor help]({{< relref "add-query-editor-help.md">}})
  - [Add variables]({{< relref "add-support-for-variables.md">}})
  - [Create panel option editors]({{< relref "custom-panel-option-editors.md">}})
- [Sign a plugin]({{< relref "sign-a-plugin.md">}})
- [Automate development with CI](https://grafana.github.io/plugin-tools/docs/ci)
- [Create nested plugins](https://grafana.github.io/plugin-tools/docs/nested-plugins)
- [Extend configurations](https://grafana.github.io/plugin-tools/docs/advanced-configuration)
